Bug 830916 - kernel 3.5 boot fails when changing to nouveau driver
kernel 3.5 boot fails when changing to nouveau driver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 12:28 EDT by kevin martin
Modified: 2015-02-17 09:17 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:17:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (31.56 KB, text/plain)
2012-06-19 11:19 EDT, kevin martin
no flags Details
dmesg from boot of 3.4 kernel with nouveau.noaccel=1 and drm.debug=14, X works (375.72 KB, application/octet-stream)
2012-06-19 12:53 EDT, kevin martin
no flags Details
dmesg from boot of 3.4 kernel with acceleration enabled and drm.debug=14, X fails during startx (371.10 KB, application/octet-stream)
2012-06-19 12:55 EDT, kevin martin
no flags Details
dmesg from boot of 3.5 kernel with acceleration enabled and drm.debug=14, X fails during startx (359.50 KB, application/octet-stream)
2012-06-19 12:56 EDT, kevin martin
no flags Details

  None (edit)
Description kevin martin 2012-06-11 12:28:05 EDT
Description of problem:booting kernel 3.5.0-0.rc1.git0.1.fc18.x86_64 (and all prior 3.5 versions) stops when shifting to the nouveau driver and causes the system to hang


Version-Release number of selected component (if applicable):3.5.0-0.rc1.git0.1.fc18.x86_64


How reproducible: every time I boot


Steps to Reproduce:
1.boot kernel 3.5.0-0.rc1.git0.1.fc18.x86_64
2.system gets to the point of loading the nouveau driver and hangs
3.
  
Actual results: system hangs with caps lock blinking...requires hard power down to reboot.


Expected results: system works as in the 3.4 kernel.


Additional info:  Toshiba Qosmio with the following nVidia card:
01:00.0 VGA compatible controller: nVidia Corporation GT215 [GeForce GTS 360M] (rev a2)

If there is some way for me to record the results of the boot into a log file at the time it occurs I'm happy to do so.  The Qosmio has no external serial port and I can't get a USB console to work for some reason on tnis device.
Comment 1 kevin martin 2012-06-11 17:30:24 EDT
FWIW, the nouveau driver on this system:

xorg-x11-drv-nouveau-0.0.16-38.20120426git174f170.fc18.x86_64
Comment 2 kevin martin 2012-06-11 17:30:39 EDT
FWIW, the nouveau driver on this system:

xorg-x11-drv-nouveau-0.0.16-38.20120426git174f170.fc18.x86_64
Comment 3 Ben Skeggs 2012-06-12 17:58:50 EDT
Are you able to boot with "nomodeset 3", login at the console and run "modprobe -r nouveau; modprobe nouveau modeset=1", and then save the dmesg log over ssh?  There's a chance you'll be able to reboot and fetch the last kernel log from /var/log/messages if you can't.

Thanks!
Comment 4 kevin martin 2012-06-12 20:40:30 EDT
ok, here's what I'm (finally) getting in /var/log/messages when the system hangs:

Jun 12 19:26:34 ktmtoshiba kernel: [  152.224767] [drm] Initialized drm 1.1.0 20060810
Jun 12 19:26:34 ktmtoshiba kernel: [  152.268144] acpi device:0f: registered as cooling_device4
Jun 12 19:26:34 ktmtoshiba kernel: [  152.268491] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:02/input/input13
Jun 12 19:26:34 ktmtoshiba kernel: [  152.268874] ACPI: Video Device [VGA1] (multi-head: yes  rom: no  post: no)
Jun 12 19:26:34 ktmtoshiba systemd-logind[1773]: Watching system buttons on /dev/input/event5 (Video Bus)
Jun 12 19:26:35 ktmtoshiba kernel: [  152.351952] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 12 19:26:35 ktmtoshiba kernel: [  152.352132] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 12 19:26:35 ktmtoshiba kernel: [  152.352826] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a3880a2)
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1836]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba kernel: [  152.363346] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
Jun 12 19:26:35 ktmtoshiba kernel: [  152.513694] [drm] nouveau 0000:01:00.0: ... appears to be valid
Jun 12 19:26:35 ktmtoshiba kernel: [  152.513864] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
Jun 12 19:26:35 ktmtoshiba kernel: [  152.514037] [drm] nouveau 0000:01:00.0: BIT BIOS found
Jun 12 19:26:35 ktmtoshiba kernel: [  152.514206] [drm] nouveau 0000:01:00.0: Bios version 70.15.43.00
Jun 12 19:26:35 ktmtoshiba kernel: [  152.514374] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Jun 12 19:26:35 ktmtoshiba kernel: [  152.514740] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
Jun 12 19:26:35 ktmtoshiba kernel: [  152.514912] [drm] nouveau 0000:01:00.0: DCB version 4.0
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1846]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515094] [drm] nouveau 0000:01:00.0: DCB outp 00: 01000323 00010034
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515268] [drm] nouveau 0000:01:00.0: DCB outp 01: 02014300 00000000
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515438] [drm] nouveau 0000:01:00.0: DCB outp 02: 02021362 00020010
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515611] [drm] nouveau 0000:01:00.0: DCB outp 03: 080333c6 0f220010
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515785] [drm] nouveau 0000:01:00.0: DCB outp 04: 08033382 00020010
Jun 12 19:26:35 ktmtoshiba kernel: [  152.515964] [drm] nouveau 0000:01:00.0: DCB conn 00: 00000340
Jun 12 19:26:35 ktmtoshiba kernel: [  152.516138] [drm] nouveau 0000:01:00.0: DCB conn 01: 00001061
Jun 12 19:26:35 ktmtoshiba kernel: [  152.516312] [drm] nouveau 0000:01:00.0: DCB conn 02: 00000147
Jun 12 19:26:35 ktmtoshiba kernel: [  152.516481] [drm] nouveau 0000:01:00.0: DCB conn 03: 00202346
Jun 12 19:26:35 ktmtoshiba kernel: [  152.516653] [drm] nouveau 0000:01:00.0: DCB conn 04: 00000400
Jun 12 19:26:35 ktmtoshiba kernel: [  152.516828] [drm] nouveau 0000:01:00.0: DCB conn 05: 00000210
Jun 12 19:26:35 ktmtoshiba kernel: [  152.517006] [drm] nouveau 0000:01:00.0: DCB conn 06: 00000211
Jun 12 19:26:35 ktmtoshiba kernel: [  152.517181] [drm] nouveau 0000:01:00.0: DCB conn 07: 00000213
Jun 12 19:26:35 ktmtoshiba kernel: [  152.517353] [drm] nouveau 0000:01:00.0: DCB conn 08: 00020846
Jun 12 19:26:35 ktmtoshiba kernel: [  152.517522] [drm] nouveau 0000:01:00.0: DCB conn 09: 00000900
Jun 12 19:26:35 ktmtoshiba kernel: [  152.517698] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x7AE4
Jun 12 19:26:35 ktmtoshiba kernel: [  152.599583] [drm] nouveau 0000:01:00.0: 0x7E6B: Condition still not met after 20ms, skipping following opcodes
Jun 12 19:26:35 ktmtoshiba kernel: [  152.619856] [drm] nouveau 0000:01:00.0: 0x7E6F: Condition still not met after 20ms, skipping following opcodes
Jun 12 19:26:35 ktmtoshiba kernel: [  152.620167] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x809A
Jun 12 19:26:35 ktmtoshiba kernel: [  152.631095] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x951E
Jun 12 19:26:35 ktmtoshiba kernel: [  152.631377] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x955C
Jun 12 19:26:35 ktmtoshiba kernel: [  152.674194] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x97CA
Jun 12 19:26:35 ktmtoshiba kernel: [  152.674488] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x982F
Jun 12 19:26:35 ktmtoshiba kernel: [  152.694757] [drm] nouveau 0000:01:00.0: 0x982F: Condition still not met after 20ms, skipping following opcodes
Jun 12 19:26:35 ktmtoshiba kernel: [  152.700258] [TTM] Zone  kernel: Available graphics memory: 1978352 kiB
Jun 12 19:26:35 ktmtoshiba kernel: [  152.700442] [TTM] Initializing pool allocator
Jun 12 19:26:35 ktmtoshiba kernel: [  152.700638] [TTM] Initializing DMA pool allocator
Jun 12 19:26:35 ktmtoshiba kernel: [  152.700834] [drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM (GDDR5)
Jun 12 19:26:35 ktmtoshiba kernel: [  152.702442] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1859]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1860]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba kernel: [  152.754634] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun 12 19:26:35 ktmtoshiba kernel: [  152.754809] [drm] No driver support for vblank timestamp query.
Jun 12 19:26:35 ktmtoshiba kernel: [  152.754975] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1861]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1862]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1863]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1864]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1865]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory
Jun 12 19:26:35 ktmtoshiba kernel: [  152.760435] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
Jun 12 19:26:35 ktmtoshiba kernel: [  152.760618] [drm] nouveau 0000:01:00.0: 0: core 135MHz shader 270MHz memory 135MHz voltage 800mV
Jun 12 19:26:35 ktmtoshiba kernel: [  152.760881] [drm] nouveau 0000:01:00.0: 1: core 405MHz shader 810MHz memory 324MHz voltage 850mV
Jun 12 19:26:35 ktmtoshiba kernel: [  152.761138] [drm] nouveau 0000:01:00.0: 3: core 576MHz shader 1436MHz memory 1600MHz voltage 1050mV
Jun 12 19:26:35 ktmtoshiba kernel: [  152.763413] [drm] nouveau 0000:01:00.0: c: core 405MHz shader 810MHz memory 324MHz voltage 850mV
Jun 12 19:26:35 ktmtoshiba systemd-udevd[1866]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/org/freedesktop/hal/udev_event': No such file or directory


FWIW, I boot into runlevel 3 by default and use the following as my "linux" line in grub2:

linux   /vmlinuz-3.5.0-0.rc1.git0.1.fc18.x86_64 root=UUID=872f0158-7e7d-43f6-9916-5c833804656a ro log_buf_len=16M SYSFONT=latarcyrheb-sun16 LANG=en
_US.UTF-8 KEYTABLE=us  nouveau.noaccel=1

and the nouveau loading under the 3.4 kernel as shown in dmesg (strangely enough, none of this boot showed in /var/log/messages):

[    5.147397] [drm] Initialized drm 1.1.0 20060810
[    5.159818] udevadm used greatest stack depth: 4680 bytes left
[    5.209336] acpi device:0f: registered as cooling_device4
[    5.211544] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:02/input/input5
[    5.212233] ACPI: Video Device [VGA1] (multi-head: yes  rom: no  post: no)
[    5.216169] wmi: Mapper loaded
[    5.257778] nouveau 0000:01:00.0: power state changed by ACPI to D0
[    5.257979] nouveau 0000:01:00.0: power state changed by ACPI to D0
[    5.262614] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a3880a2)
[    5.282407] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
[    5.445032] [drm] nouveau 0000:01:00.0: ... appears to be valid
[    5.445220] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
[    5.445460] [drm] nouveau 0000:01:00.0: BIT BIOS found
[    5.445648] [drm] nouveau 0000:01:00.0: Bios version 70.15.43.00
[    5.445834] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[    5.456586] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
[    5.456764] [drm] nouveau 0000:01:00.0: DCB version 4.0
[    5.456933] [drm] nouveau 0000:01:00.0: DCB outp 00: 01000323 00010034
[    5.457105] [drm] nouveau 0000:01:00.0: DCB outp 01: 02014300 00000000
[    5.457277] [drm] nouveau 0000:01:00.0: DCB outp 02: 02021362 00020010
[    5.457489] [drm] nouveau 0000:01:00.0: DCB outp 03: 080333c6 0f220010
[    5.457664] [drm] nouveau 0000:01:00.0: DCB outp 04: 08033382 00020010
[    5.457835] [drm] nouveau 0000:01:00.0: DCB conn 00: 00000340
[    5.458076] [drm] nouveau 0000:01:00.0: DCB conn 01: 00001061
[    5.458434] [drm] nouveau 0000:01:00.0: DCB conn 02: 00000147
[    5.458678] [drm] nouveau 0000:01:00.0: DCB conn 03: 00202346
[    5.458919] [drm] nouveau 0000:01:00.0: DCB conn 04: 00000400
[    5.459157] [drm] nouveau 0000:01:00.0: DCB conn 05: 00000210
[    5.459404] [drm] nouveau 0000:01:00.0: DCB conn 06: 00000211
[    5.459647] [drm] nouveau 0000:01:00.0: DCB conn 07: 00000213
[    5.459895] [drm] nouveau 0000:01:00.0: DCB conn 08: 00020846
[    5.460134] [drm] nouveau 0000:01:00.0: DCB conn 09: 00000900
[    5.460421] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x7AE4
[    5.542347] [drm] nouveau 0000:01:00.0: 0x7E6B: Condition still not met after 20ms, skipping following opcodes
[    5.562582] [drm] nouveau 0000:01:00.0: 0x7E6F: Condition still not met after 20ms, skipping following opcodes
[    5.562877] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x809A
[    5.573783] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x951E
[    5.574050] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x955C
[    5.617054] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x97CA
[    5.617314] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x982F
[    5.637545] [drm] nouveau 0000:01:00.0: 0x982F: Condition still not met after 20ms, skipping following opcodes
[    5.650407] [TTM] Zone  kernel: Available graphics memory: 1968216 kiB
[    5.650580] [TTM] Initializing pool allocator
[    5.650862] [TTM] Initializing DMA pool allocator
[    5.651318] [drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM (GDDR5)
[    5.653125] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[    5.702558] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    5.702735] [drm] No driver support for vblank timestamp query.
[    5.702919] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
[    5.708459] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
[    5.708632] [drm] nouveau 0000:01:00.0: 0: core 135MHz shader 270MHz memory 135MHz voltage 800mV
[    5.708901] [drm] nouveau 0000:01:00.0: 1: core 405MHz shader 810MHz memory 324MHz voltage 850mV
[    5.709167] [drm] nouveau 0000:01:00.0: 3: core 576MHz shader 1436MHz memory 1600MHz voltage 1050mV
[    5.709431] [drm] nouveau 0000:01:00.0: c: core 405MHz shader 810MHz memory 324MHz voltage 850mV
[    7.202311] [drm] nouveau 0000:01:00.0: allocated 1680x945 fb: 0x210000, bo ffff88012bb80a90
[    7.205628] fbcon: nouveaufb (fb0) is primary device
[    7.481486] Console: switching to colour frame buffer device 210x59
[    7.485458] fb0: nouveaufb frame buffer device
[    7.485460] drm: registered panic notifier
[    7.485521] [drm] Initialized nouveau 1.0.0 20120316 for 0000:01:00.0 on minor 0
[    7.581019] dracut: Starting plymouth daemon
[    8.163358] systemd-udevd used greatest stack depth: 3936 bytes left
[    8.167753] systemd-udevd used greatest stack depth: 2608 bytes left
Comment 5 Ben Skeggs 2012-06-13 07:58:31 EDT
Any particular reason for nouveau.noaccel=1 ?  Does it boot correctly without that?
Comment 6 kevin martin 2012-06-13 08:40:58 EDT
My X won't display correctly if I leave acceleration on.  I get a screen full of black and white squares.  I've reported on *that* annoyance in the past with no success at getting it resolved.  So I just turn acceleration off so I can use my system.
Comment 7 Ben Skeggs 2012-06-13 08:50:37 EDT
How recently have you tried it?

Some kind of backtrace would be very nice if we can find a way to get it.  My only additional suggestion so far is to remove "rhgb quiet" from your kernel boot options, and add "nomodeset 3" and reload nouveau like I mentioned in comment 3.  Hopefully you'll see a backtrace on-screen before it hangs.
Comment 8 kevin martin 2012-06-13 09:08:58 EDT
Erm, I don't have rhgb quiet set (so I see everything that's happening as it happens) and what I see on the screen is what I captured in the /var/log/messages at the top of comment 4.  Unfortunately, if there's more than what I posted from /var/log/messages on the screen it get's lost as the system tries to transition when the nouveau driver get's loaded (with the 3.4 kernel there's a brief flash where the screen goes black and then all of the text on the screen is displayed in the new resolution (1680x945) but with the 3.5 kernel the screen flashes but then the system hangs).  I'll try removing the noaccel option and see what that does (both under the 3.4 and 3.5 kernels) and let you know.
Comment 9 kevin martin 2012-06-13 09:46:42 EDT
removed noaccel for my 3.4 boot, system boots to runlevel 3 fine (changing resolution).  I login and do a startx and the screen goes to the black and white squares display after about a 30 second wait.  dmesg shows these nouveau errors:

[  188.717012] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  191.302137] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  193.900096] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  195.903682] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  197.901352] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  199.920984] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  201.948275] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  203.976066] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  206.000372] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  208.077829] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  210.089718] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  212.087583] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  214.085134] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  216.082889] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  216.082902] [sched_delayed] sched: RT throttling activated
[  218.082043] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  220.107558] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  228.096027] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40
[  234.631928] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00141b4d 0x0000002d 0x0034db40

There are no errors in my .xsession-errors file.



Now this is interesting (at least to me).  I removed the noaccel option on my 3.5 kernel line, added nomodeset 3, and booted.  Logged in and "modprobe -r nouveau" and then "modprobe -s -v nouveau modeset=1" and, lo and behold, my screen resolution changed to the 1680x945 resolution and this is what I have in /var/log messages about this:

Jun 13 08:34:23 ktmtoshiba kernel: [  135.801244] [drm] Initialized drm 1.1.0 20060810
Jun 13 08:34:23 ktmtoshiba kernel: [  135.863825] acpi device:0f: registered as cooling_device4
Jun 13 08:34:23 ktmtoshiba kernel: [  135.864218] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:0
2/input/input13
Jun 13 08:34:23 ktmtoshiba kernel: [  135.864757] ACPI: Video Device [VGA1] (multi-head: yes  rom: no  post: no)
Jun 13 08:34:23 ktmtoshiba kernel: [  135.940201] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 13 08:34:23 ktmtoshiba kernel: [  135.940391] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 13 08:34:23 ktmtoshiba kernel: [  135.941064] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a3880a2)
Jun 13 08:34:23 ktmtoshiba systemd-udevd[1796]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:23 ktmtoshiba kernel: [  135.951137] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
Jun 13 08:34:23 ktmtoshiba kernel: [  136.104047] [drm] nouveau 0000:01:00.0: ... appears to be valid
Jun 13 08:34:23 ktmtoshiba kernel: [  136.104228] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
Jun 13 08:34:23 ktmtoshiba kernel: [  136.104404] [drm] nouveau 0000:01:00.0: BIT BIOS found
Jun 13 08:34:23 ktmtoshiba kernel: [  136.104578] [drm] nouveau 0000:01:00.0: Bios version 70.15.43.00
Jun 13 08:34:23 ktmtoshiba kernel: [  136.104751] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Jun 13 08:34:23 ktmtoshiba systemd-udevd[1800]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:23 ktmtoshiba kernel: [  136.105386] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
Jun 13 08:34:23 ktmtoshiba kernel: [  136.105580] [drm] nouveau 0000:01:00.0: DCB version 4.0
Jun 13 08:34:23 ktmtoshiba kernel: [  136.105748] [drm] nouveau 0000:01:00.0: DCB outp 00: 01000323 00010034
Jun 13 08:34:23 ktmtoshiba kernel: [  136.105932] [drm] nouveau 0000:01:00.0: DCB outp 01: 02014300 00000000
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106104] [drm] nouveau 0000:01:00.0: DCB outp 02: 02021362 00020010
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106279] [drm] nouveau 0000:01:00.0: DCB outp 03: 080333c6 0f220010
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106448] [drm] nouveau 0000:01:00.0: DCB outp 04: 08033382 00020010
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106620] [drm] nouveau 0000:01:00.0: DCB conn 00: 00000340
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106790] [drm] nouveau 0000:01:00.0: DCB conn 01: 00001061
Jun 13 08:34:23 ktmtoshiba kernel: [  136.106965] [drm] nouveau 0000:01:00.0: DCB conn 02: 00000147
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107136] [drm] nouveau 0000:01:00.0: DCB conn 03: 00202346
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107303] [drm] nouveau 0000:01:00.0: DCB conn 04: 00000400
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107470] [drm] nouveau 0000:01:00.0: DCB conn 05: 00000210
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107638] [drm] nouveau 0000:01:00.0: DCB conn 06: 00000211
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107807] [drm] nouveau 0000:01:00.0: DCB conn 07: 00000213
Jun 13 08:34:23 ktmtoshiba kernel: [  136.107981] [drm] nouveau 0000:01:00.0: DCB conn 08: 00020846
Jun 13 08:34:23 ktmtoshiba kernel: [  136.108154] [drm] nouveau 0000:01:00.0: DCB conn 09: 00000900
Jun 13 08:34:23 ktmtoshiba kernel: [  136.108325] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x7AE4
Jun 13 08:34:23 ktmtoshiba kernel: [  136.190109] [drm] nouveau 0000:01:00.0: 0x7E6B: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 13 08:34:23 ktmtoshiba kernel: [  136.210371] [drm] nouveau 0000:01:00.0: 0x7E6F: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 13 08:34:23 ktmtoshiba kernel: [  136.210677] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x809A
Jun 13 08:34:23 ktmtoshiba kernel: [  136.221610] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x951E
Jun 13 08:34:23 ktmtoshiba kernel: [  136.221902] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x955C
Jun 13 08:34:23 ktmtoshiba kernel: [  136.264706] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x97CA
Jun 13 08:34:23 ktmtoshiba kernel: [  136.264989] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x982F
Jun 13 08:34:23 ktmtoshiba kernel: [  136.285241] [drm] nouveau 0000:01:00.0: 0x982F: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 13 08:34:23 ktmtoshiba kernel: [  136.290887] [TTM] Zone  kernel: Available graphics memory: 1978352 kiB
Jun 13 08:34:23 ktmtoshiba kernel: [  136.291075] [TTM] Initializing pool allocator
Jun 13 08:34:23 ktmtoshiba kernel: [  136.291257] [TTM] Initializing DMA pool allocator
Jun 13 08:34:23 ktmtoshiba kernel: [  136.291440] [drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM (GDDR5)
Jun 13 08:34:23 ktmtoshiba kernel: [  136.293062] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1820]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba kernel: [  136.353408] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun 13 08:34:24 ktmtoshiba kernel: [  136.353590] [drm] No driver support for vblank timestamp query.
Jun 13 08:34:24 ktmtoshiba kernel: [  136.353761] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering ou
r own
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1821]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1822]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1823]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1824]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1825]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1826]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba kernel: [  136.359272] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
Jun 13 08:34:24 ktmtoshiba kernel: [  136.359455] [drm] nouveau 0000:01:00.0: 0: core 135MHz shader 270MHz memory 135MHz voltage 800
mV
Jun 13 08:34:24 ktmtoshiba kernel: [  136.359719] [drm] nouveau 0000:01:00.0: 1: core 405MHz shader 810MHz memory 324MHz voltage 850
mV
Jun 13 08:34:24 ktmtoshiba kernel: [  136.359976] [drm] nouveau 0000:01:00.0: 3: core 576MHz shader 1436MHz memory 1600MHz voltage 1
050mV
Jun 13 08:34:24 ktmtoshiba kernel: [  136.360230] [drm] nouveau 0000:01:00.0: c: core 405MHz shader 810MHz memory 324MHz voltage 850
mV
Jun 13 08:34:24 ktmtoshiba systemd-udevd[1827]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:24 ktmtoshiba kernel: [  136.398744] [drm] nouveau 0000:01:00.0: MM: using COPY for buffer copies
Jun 13 08:34:25 ktmtoshiba kernel: [  137.890815] [drm] nouveau 0000:01:00.0: allocated 1680x945 fb: 0x320000, bo ffff880132b6b400
Jun 13 08:34:25 ktmtoshiba kernel: [  137.891168] fbcon: nouveaufb (fb0) is primary device
Jun 13 08:34:25 ktmtoshiba systemd-udevd[1828]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:25 ktmtoshiba systemd-udevd[1829]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory
Jun 13 08:34:26 ktmtoshiba kernel: [  138.358039] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon
Jun 13 08:34:26 ktmtoshiba kernel: [  138.364699] Console: switching to colour frame buffer device 210x59
Jun 13 08:34:26 ktmtoshiba kernel: [  138.373185] fb0: nouveaufb frame buffer device
Jun 13 08:34:26 ktmtoshiba kernel: [  138.373187] drm: registered panic notifier
Jun 13 08:34:26 ktmtoshiba kernel: [  138.373201] [drm] Initialized nouveau 1.0.0 20120316 for 0000:01:00.0 on minor 0
Jun 13 08:34:26 ktmtoshiba systemd-udevd[1830]: failed to execute '/usr/lib/udev/socket:@/org/freedesktop/hal/udev_event' 'socket:@/
org/freedesktop/hal/udev_event': No such file or directory

So that looked a little more promising. However, when I "startx" I still get the 20-30 second delay and then the black and white block screen and this is in /var/log/messages:

Jun 13 08:41:20 ktmtoshiba kernel: [  551.768463] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:22 ktmtoshiba kernel: [  553.770923] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:24 ktmtoshiba kernel: [  556.373638] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:26 ktmtoshiba kernel: [  558.370320] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:28 ktmtoshiba kernel: [  560.367476] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:30 ktmtoshiba kernel: [  562.364272] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:32 ktmtoshiba kernel: [  564.361055] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:34 ktmtoshiba kernel: [  566.357854] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:36 ktmtoshiba kernel: [  568.436621] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:38 ktmtoshiba kernel: [  570.446446] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:40 ktmtoshiba kernel: [  572.443133] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:42 ktmtoshiba kernel: [  574.439841] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:44 ktmtoshiba kernel: [  576.436505] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:46 ktmtoshiba kernel: [  578.433155] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:48 ktmtoshiba kernel: [  580.530763] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:53 ktmtoshiba kernel: [  585.522115] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:41:59 ktmtoshiba kernel: [  591.478080] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:42:09 ktmtoshiba kernel: [  600.595952] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
Jun 13 08:42:11 ktmtoshiba kernel: [  602.594895] [drm] nouveau 0000:01:00.0: PFIFO: channel 2 unload timeout
Jun 13 08:42:13 ktmtoshiba kernel: [  604.610379] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:42:15 ktmtoshiba kernel: [  606.609781] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 13 08:42:18 ktmtoshiba kernel: [  609.607146] [drm] nouveau 0000:01:00.0: Failed to idle channel 3.
Jun 13 08:42:20 ktmtoshiba kernel: [  611.604981] [drm] nouveau 0000:01:00.0: PFIFO: channel 3 unload timeout


FWIW, I have no xorg.conf (since stopping using the nVidia driver) so there is nothing there that would be causing this.  It's weird that I can get the resolution switch without noaccel under kernel 3.5 but not when noaccel=1.
Comment 10 kevin martin 2012-06-13 10:02:46 EDT
AH HA!  There is more to this story!  I just didn't wait long enough for the screen to timeout.  Here's backtrace info that you might find handy!

X.Org X Server 1.12.2
Release Date: 2012-05-29
X Protocol Version 11, Revision 0
Build Operating System:  2.6.32-220.4.1.el6.x86_64
Current Operating System: Linux ktmtoshiba 3.5.0-0.rc1.git0.1.fc18.x86_64 #1 SMP Sun Jun 3 14:07:54 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.5.0-0.rc1.git0.1.fc18.x86_64 root=UUID=872f0158-7e7d-43f6-9916-5c833804656a ro log_buf_le
n=16M SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us nomodeset 3
Build Date: 30 May 2012  05:28:43AM
Build ID: xorg-x11-server 1.12.2-1.fc18
Current version of pixman: 0.26.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jun 13 08:56:40 2012
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
resize called 1680 945
/usr/bin/startxfce4: X server already running on display :0
xrdb:  "Xft.hinting" on line 9 overrides entry on line 6
xrdb:  "Xft.hintstyle" on line 11 overrides entry on line 7

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465106]
1: /usr/bin/X (0x400000+0x6a0c9) [0x46a0c9]
2: /lib64/libpthread.so.0 (0x7fd6d20ef000+0xf530) [0x7fd6d20fe530]
3: /lib64/libc.so.6 (0x7fd6d0d47000+0x14ae04) [0x7fd6d0e91e04]
4: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x578e) [0x7fd6ceb3278e]
5: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x5b9b) [0x7fd6ceb32b9b]
6: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x807a) [0x7fd6ceb3507a]
7: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x1001b) [0x7fd6ceb3d01b]
8: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x11898) [0x7fd6ceb3e898]
9: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0xaf29) [0x7fd6ceb37f29]
10: /usr/bin/X (0x400000+0x160103) [0x560103]
11: /usr/bin/X (0x400000+0xc9a50) [0x4c9a50]
12: /usr/bin/X (0x400000+0xfa5da) [0x4fa5da]
13: /usr/bin/X (0x400000+0x344aa) [0x4344aa]
14: /usr/bin/X (0x400000+0x23505) [0x423505]
15: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fd6d0d68ba5]
16: /usr/bin/X (0x400000+0x237dd) [0x4237dd]

Segmentation fault at address 0x50

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the Fedora Project support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Server terminated with error (1). Closing log file.
xinit: connection to X server lost

And here are the contents of the Xorg.0.log:

[  1472.504]
X.Org X Server 1.12.2
Release Date: 2012-05-29
[  1472.504] X Protocol Version 11, Revision 0
[  1472.504] Build Operating System:  2.6.32-220.4.1.el6.x86_64
[  1472.504] Current Operating System: Linux ktmtoshiba 3.5.0-0.rc1.git0.1.fc18.x86_64 #1 SMP Sun Jun 3 14:07:54 UTC 2012 x86_64
[  1472.504] Kernel command line: BOOT_IMAGE=/vmlinuz-3.5.0-0.rc1.git0.1.fc18.x86_64 root=UUID=872f0158-7e7d-43f6-9916-5c833804656a
ro log_buf_len=16M SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us nomodeset 3
[  1472.504] Build Date: 30 May 2012  05:28:43AM
[  1472.504] Build ID: xorg-x11-server 1.12.2-1.fc18
[  1472.504] Current version of pixman: 0.26.0
[  1472.504]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[  1472.504] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  1472.504] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Jun 13 08:56:40 2012
[  1472.505] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  1472.505] (==) No Layout section.  Using the first Screen section.
[  1472.505] (==) No screen section available. Using defaults.
[  1472.505] (**) |-->Screen "Default Screen Section" (0)
[  1472.505] (**) |   |-->Monitor "<default monitor>"
[  1472.505] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[  1472.505] (==) Automatically adding devices
[  1472.505] (==) Automatically enabling devices
[  1472.505] (==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
[  1472.505] (==) ModulePath set to "/usr/lib64/xorg/modules"
[  1472.505] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[  1472.505] (II) Loader magic: 0x7c6ae0
[  1472.505] (II) Module ABI versions:
[  1472.505]    X.Org ANSI C Emulation: 0.4
[  1472.505]    X.Org Video Driver: 12.0
[  1472.505]    X.Org XInput driver : 16.0
[  1472.505]    X.Org Server Extension : 6.0
[  1472.506] (--) PCI:*(0:1:0:0) 10de:0cb1:1179:ff50 rev 162, Mem @ 0xcc000000/16777216, 0xd0000000/268435456, 0xce000000/33554432,
I/O @ 0x00002000/128, BIOS @ 0x????????/524288
[  1472.506] (II) LoadModule: "extmod"
[  1472.507] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[  1472.507] (II) Module extmod: vendor="X.Org Foundation"
[  1472.507]    compiled for 1.12.2, module version = 1.0.0
[  1472.507]    Module class: X.Org Server Extension
[  1472.507]    ABI class: X.Org Server Extension, version 6.0
[  1472.507] (II) Loading extension SELinux
[  1472.507] (II) Loading extension MIT-SCREEN-SAVER
[  1472.507] (II) Loading extension XFree86-VidModeExtension
[  1472.507] (II) Loading extension XFree86-DGA
[  1472.507] (II) Loading extension DPMS
[  1472.507] (II) Loading extension XVideo
[  1472.507] (II) Loading extension XVideo-MotionCompensation
[  1472.507] (II) Loading extension X-Resource
[  1472.507] (II) LoadModule: "dbe"
[  1472.507] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[  1472.508] (II) Module dbe: vendor="X.Org Foundation"
[  1472.508]    compiled for 1.12.2, module version = 1.0.0
[  1472.508]    Module class: X.Org Server Extension
[  1472.508]    ABI class: X.Org Server Extension, version 6.0
[  1472.508] (II) Loading extension DOUBLE-BUFFER
[  1472.508] (II) LoadModule: "glx"
[  1472.508] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[  1472.508] (II) Module glx: vendor="X.Org Foundation"
[  1472.508]    compiled for 1.12.2, module version = 1.0.0
[  1472.508]    ABI class: X.Org Server Extension, version 6.0
[  1472.508] (==) AIGLX enabled
[  1472.508] (II) Loading extension GLX
[  1472.508] (II) LoadModule: "record"
[  1472.508] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[  1472.508] (II) Module record: vendor="X.Org Foundation"
[  1472.508]    compiled for 1.12.2, module version = 1.13.0
[  1472.508]    Module class: X.Org Server Extension
[  1472.508]    ABI class: X.Org Server Extension, version 6.0
[  1472.508] (II) Loading extension RECORD
[  1472.508] (II) LoadModule: "dri"
[  1472.509] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[  1472.509] (II) Module dri: vendor="X.Org Foundation"
[  1472.509]    compiled for 1.12.2, module version = 1.0.0
[  1472.509]    ABI class: X.Org Server Extension, version 6.0
[  1472.509] (II) Loading extension XFree86-DRI
[  1472.509] (II) LoadModule: "dri2"
[  1472.509] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[  1472.509] (II) Module dri2: vendor="X.Org Foundation"
[  1472.509]    compiled for 1.12.2, module version = 1.2.0
[  1472.509]    ABI class: X.Org Server Extension, version 6.0
[  1472.509] (II) Loading extension DRI2
[  1472.509] (==) Matched nouveau as autoconfigured driver 0
[  1472.509] (==) Matched nv as autoconfigured driver 1
[  1472.509] (==) Matched vesa as autoconfigured driver 2
[  1472.509] (==) Matched modesetting as autoconfigured driver 3
[  1472.509] (==) Matched fbdev as autoconfigured driver 4
[  1472.509] (==) Assigned the driver to the xf86ConfigLayout
[  1472.509] (II) LoadModule: "nouveau"
[  1472.509] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[  1472.510] (II) Module nouveau: vendor="X.Org Foundation"
[  1472.510]    compiled for 1.12.2, module version = 0.0.16
[  1472.510]    Module class: X.Org Video Driver
[  1472.510]    ABI class: X.Org Video Driver, version 12.0
[  1472.510] (II) LoadModule: "nv"
[  1472.510] (WW) Warning, couldn't open module nv
[  1472.510] (II) UnloadModule: "nv"
[  1472.510] (II) Unloading nv
[  1472.510] (EE) Failed to load module "nv" (module does not exist, 0)
[  1472.510] (II) LoadModule: "vesa"
[  1472.510] (WW) Warning, couldn't open module vesa
[  1472.510] (II) UnloadModule: "vesa"
[  1472.510] (II) Unloading vesa
[  1472.510] (EE) Failed to load module "vesa" (module does not exist, 0)
[  1472.510] (II) LoadModule: "modesetting"
[  1472.510] (WW) Warning, couldn't open module modesetting
[  1472.510] (II) UnloadModule: "modesetting"
[  1472.510] (II) Unloading modesetting
[  1472.510] (EE) Failed to load module "modesetting" (module does not exist, 0)
[  1472.510] (II) LoadModule: "fbdev"
[  1472.511] (WW) Warning, couldn't open module fbdev
[  1472.511] (II) UnloadModule: "fbdev"
[  1472.511] (II) Unloading fbdev
[  1472.511] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  1472.511] (II) NOUVEAU driver
[  1472.511] (II) NOUVEAU driver for NVIDIA chipset families :
[  1472.511]    RIVA TNT        (NV04)
[  1472.511]    RIVA TNT2       (NV05)
[  1472.511]    GeForce 256     (NV10)
[  1472.511]    GeForce 2       (NV11, NV15)
[  1472.511]    GeForce 4MX     (NV17, NV18)
[  1472.511]    GeForce 3       (NV20)
[  1472.511]    GeForce 4Ti     (NV25, NV28)
[  1472.511]    GeForce FX      (NV3x)
[  1472.511]    GeForce 6       (NV4x)
[  1472.511]    GeForce 7       (G7x)
[  1472.511]    GeForce 8       (G8x)
[  1472.511]    GeForce GTX 200 (NVA0)
[  1472.511]    GeForce GTX 400 (NVC0)
[  1472.511] (--) using VT number 5

[  1472.520] drmOpenDevice: node name is /dev/dri/card0
[  1472.520] drmOpenDevice: open result is 9, (OK)
[  1472.520] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[  1472.520] drmOpenDevice: node name is /dev/dri/card0
[  1472.520] drmOpenDevice: open result is 9, (OK)
[  1472.520] drmOpenByBusid: drmOpenMinor returns 9
[  1472.520] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[  1472.520] (II) [drm] nouveau interface version: 1.0.0
[  1472.520] (II) Loading sub module "dri"
[  1472.521] (II) LoadModule: "dri"
[  1472.521] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[  1472.521] (II) Module dri: vendor="X.Org Foundation"
[  1472.521]    compiled for 1.12.2, module version = 1.0.0
[  1472.521]    ABI class: X.Org Server Extension, version 6.0
[  1472.521] (II) NOUVEAU(0): Loaded DRI module
[  1472.521] drmOpenDevice: node name is /dev/dri/card0
[  1472.521] drmOpenDevice: open result is 10, (OK)
[  1472.521] drmOpenDevice: node name is /dev/dri/card0
[  1472.521] drmOpenDevice: open result is 10, (OK)
[  1472.521] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[  1472.521] drmOpenDevice: node name is /dev/dri/card0
[  1472.521] drmOpenDevice: open result is 10, (OK)
[  1472.521] drmOpenByBusid: drmOpenMinor returns 10
[  1472.521] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[  1472.521] (II) [drm] DRM interface version 1.4
[  1472.521] (II) [drm] DRM open master succeeded.
[  1472.521] (--) NOUVEAU(0): Chipset: "NVIDIA NVa3"
[  1472.521] (II) NOUVEAU(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[  1472.521] (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
[  1472.521] (==) NOUVEAU(0): RGB weight 888
[  1472.521] (==) NOUVEAU(0): Default visual is TrueColor
[  1472.521] (==) NOUVEAU(0): Using HW cursor
[  1472.521] (==) NOUVEAU(0): GLX sync to VBlank disabled.
[  1472.521] (==) NOUVEAU(0): Page flipping enabled
[  1472.521] (==) NOUVEAU(0): Swap limit set to 2 [Max allowed 2]
[  1472.612] (II) NOUVEAU(0): Output LVDS-1 has no monitor section
[  1472.704] (II) NOUVEAU(0): Output VGA-1 has no monitor section
[  1472.707] (II) NOUVEAU(0): Output HDMI-1 has no monitor section
[  1472.771] (II) NOUVEAU(0): Output DP-1 has no monitor section
[  1472.806] (II) NOUVEAU(0): EDID for output LVDS-1
[  1472.806] (II) NOUVEAU(0): Manufacturer: SEC  Model: 324b  Serial#: 0
[  1472.806] (II) NOUVEAU(0): Year: 2008  Week: 0
[  1472.806] (II) NOUVEAU(0): EDID Version: 1.3
[  1472.806] (II) NOUVEAU(0): Digital Display Input
[  1472.806] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 41  vert.: 23
[  1472.807] (II) NOUVEAU(0): Gamma: 2.20
[  1472.807] (II) NOUVEAU(0): No DPMS capabilities specified
[  1472.807] (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
[  1472.807] (II) NOUVEAU(0): First detailed timing is preferred mode
[  1472.807] (II) NOUVEAU(0): redX: 0.588 redY: 0.340   greenX: 0.330 greenY: 0.537
[  1472.807] (II) NOUVEAU(0): blueX: 0.151 blueY: 0.122   whiteX: 0.313 whiteY: 0.329
[  1472.807] (II) NOUVEAU(0): Manufacturer's mask: 0
[  1472.807] (II) NOUVEAU(0): Supported detailed timing:
[  1472.807] (II) NOUVEAU(0): clock: 121.7 MHz   Image Size:  409 x 230 mm
[  1472.807] (II) NOUVEAU(0): h_active: 1680  h_sync: 1728  h_sync_end 1760 h_blank_end 2080 h_border: 0
[  1472.807] (II) NOUVEAU(0): v_active: 945  v_sync: 947  v_sync_end 953 v_blanking: 975 v_border: 0
[  1472.807] (II) NOUVEAU(0): Unknown vendor-specific block f
[  1472.807] (II) NOUVEAU(0):  SAMSUNG
[  1472.807] (II) NOUVEAU(0):  LTN184KT02T01
[  1472.807] (II) NOUVEAU(0): EDID (in hex):
[  1472.807] (II) NOUVEAU(0):   00ffffffffffff004ca34b3200000000
[  1472.807] (II) NOUVEAU(0):   00120103802917780a8ad59657548926
[  1472.807] (II) NOUVEAU(0):   1f505400000001010101010101010101
[  1472.807] (II) NOUVEAU(0):   010101010101882f909061b11e303020
[  1472.807] (II) NOUVEAU(0):   260099e6100000190000000f00000000
[  1472.807] (II) NOUVEAU(0):   000000000032a0051b00000000fe0053
[  1472.807] (II) NOUVEAU(0):   414d53554e470a2020202020000000fe
[  1472.807] (II) NOUVEAU(0):   004c544e3138344b54303254303100c5
[  1472.807] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12875
[  1472.807] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[  1472.807] (II) NOUVEAU(0): Modeline "1680x945"x0.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[  1472.807] (II) NOUVEAU(0): Printing probed modes for output LVDS-1
[  1472.807] (II) NOUVEAU(0): Modeline "1680x945"x60.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[  1472.807] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz e)
[  1472.807] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz e)
[  1472.899] (II) NOUVEAU(0): EDID for output VGA-1
[  1472.902] (II) NOUVEAU(0): EDID for output HDMI-1
[  1472.966] (II) NOUVEAU(0): EDID for output DP-1
[  1472.966] (II) NOUVEAU(0): Output LVDS-1 connected
[  1472.966] (II) NOUVEAU(0): Output VGA-1 disconnected
[  1472.966] (II) NOUVEAU(0): Output HDMI-1 disconnected
[  1472.966] (II) NOUVEAU(0): Output DP-1 disconnected
[  1472.966] (II) NOUVEAU(0): Using exact sizes for initial modes
[  1472.966] (II) NOUVEAU(0): Output LVDS-1 using initial mode 1680x945 +0+0
[  1472.966] (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[  1472.966] (--) NOUVEAU(0): Virtual size is 1680x945 (pitch 0)
[  1472.966] (**) NOUVEAU(0):  Driver mode "1680x945": 121.7 MHz (scaled from 0.0 MHz), 58.5 kHz, 60.0 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "1680x945"x60.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[  1472.966] (**) NOUVEAU(0):  Driver mode "1152x864": 81.8 MHz (scaled from 0.0 MHz), 53.8 kHz, 60.0 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "1024x768": 63.5 MHz (scaled from 0.0 MHz), 47.8 kHz, 59.9 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "800x600": 38.2 MHz (scaled from 0.0 MHz), 37.4 kHz, 59.9 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "640x480": 23.8 MHz (scaled from 0.0 MHz), 29.7 kHz, 59.4 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "720x400": 22.2 MHz (scaled from 0.0 MHz), 24.8 kHz, 59.6 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "640x400": 20.0 MHz (scaled from 0.0 MHz), 25.0 kHz, 60.0 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz e)
[  1472.966] (**) NOUVEAU(0):  Driver mode "640x350": 17.5 MHz (scaled from 0.0 MHz), 21.9 kHz, 59.8 Hz
[  1472.966] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz e)
[  1472.966] (**) NOUVEAU(0): Display dimensions: (410, 230) mm
[  1472.966] (**) NOUVEAU(0): DPI set to (104, 104)
[  1472.966] (II) Loading sub module "fb"
[  1472.966] (II) LoadModule: "fb"
[  1472.966] (II) Loading /usr/lib64/xorg/modules/libfb.so
[  1472.966] (II) Module fb: vendor="X.Org Foundation"
[  1472.966]    compiled for 1.12.2, module version = 1.0.0
[  1472.966]    ABI class: X.Org ANSI C Emulation, version 0.4
[  1472.966] (II) Loading sub module "exa"
[  1472.967] (II) LoadModule: "exa"
[  1472.967] (II) Loading /usr/lib64/xorg/modules/libexa.so
[  1472.967] (II) Module exa: vendor="X.Org Foundation"
[  1472.967]    compiled for 1.12.2, module version = 2.5.0
[  1472.967]    ABI class: X.Org Video Driver, version 12.0
[  1472.967] (II) Loading sub module "shadowfb"
[  1472.967] (II) LoadModule: "shadowfb"
[  1472.967] (II) Loading /usr/lib64/xorg/modules/libshadowfb.so
[  1472.967] (II) Module shadowfb: vendor="X.Org Foundation"
[  1472.967]    compiled for 1.12.2, module version = 1.0.0
[  1472.967]    ABI class: X.Org ANSI C Emulation, version 0.4
[  1472.967] (--) Depth 24 pixmap format is 32 bpp
[  1472.970] (II) NOUVEAU(0): Opened GPU channel 2
[  1472.988] (II) NOUVEAU(0): [DRI2] Setup complete
[  1472.988] (II) NOUVEAU(0): [DRI2]   DRI driver: nouveau
[  1472.988] (II) NOUVEAU(0): [DRI2]   VDPAU driver: nouveau
[  1474.992] (II) NOUVEAU(0): GART: 512MiB available
[  1477.002] (II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
[  1477.002] (II) EXA(0): Driver allocated offscreen pixmaps
[  1477.002] (II) EXA(0): Driver registered support for the following operations:
[  1477.002] (II)         Solid
[  1477.002] (II)         Copy
[  1477.002] (II)         Composite (RENDER acceleration)
[  1477.002] (II)         UploadToScreen
[  1477.002] (II)         DownloadFromScreen
[  1477.002] (==) NOUVEAU(0): Backing store disabled
[  1477.002] (==) NOUVEAU(0): Silken mouse enabled
[  1477.002] (II) NOUVEAU(0): [XvMC] Associated with Nouveau GeForce 8/9 Textured Video.
[  1477.002] (II) NOUVEAU(0): [XvMC] Extension initialized.
[  1477.002] (==) NOUVEAU(0): DPMS enabled
[  1477.002] (II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  1477.002] (--) RandR disabled
[  1477.002] (II) Initializing built-in extension Generic Event Extension
[  1477.002] (II) Initializing built-in extension SHAPE
[  1477.002] (II) Initializing built-in extension MIT-SHM
[  1477.002] (II) Initializing built-in extension XInputExtension
[  1477.002] (II) Initializing built-in extension XTEST
[  1477.002] (II) Initializing built-in extension BIG-REQUESTS
[  1477.002] (II) Initializing built-in extension SYNC
[  1477.002] (II) Initializing built-in extension XKEYBOARD
[  1477.002] (II) Initializing built-in extension XC-MISC
[  1477.002] (II) Initializing built-in extension XINERAMA
[  1477.002] (II) Initializing built-in extension XFIXES
[  1477.002] (II) Initializing built-in extension RENDER
[  1477.002] (II) Initializing built-in extension RANDR
[  1477.002] (II) Initializing built-in extension COMPOSITE
[  1477.002] (II) Initializing built-in extension DAMAGE
[  1477.002] (II) SELinux: Disabled on system
[  1501.029] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[  1501.029] (II) AIGLX: enabled GLX_INTEL_swap_event
[  1501.029] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[  1501.029] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[  1501.029] (II) AIGLX: Loaded and initialized nouveau
[  1501.029] (II) GLX: Initialized DRI2 GL provider for screen 0
[  1508.062] (II) NOUVEAU(0): NVEnterVT is called.
[  1508.078] (II) NOUVEAU(0): Setting screen physical size to 444 x 250
[  1508.078] resize called 1680 945
[  1508.116] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[  1508.116] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  1508.116] (II) LoadModule: "evdev"
[  1508.116] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[  1508.117] (II) Module evdev: vendor="X.Org Foundation"
[  1508.117]    compiled for 1.12.0, module version = 2.7.0
[  1508.117]    Module class: X.Org XInput Driver
[  1508.117]    ABI class: X.Org XInput driver, version 16.0
[  1508.117] (II) Using input driver 'evdev' for 'Power Button'
[  1508.117] (**) Power Button: always reports core events
[  1508.117] (**) evdev: Power Button: Device: "/dev/input/event2"
[  1508.117] (--) evdev: Power Button: Vendor 0 Product 0x1
[  1508.117] (--) evdev: Power Button: Found keys
[  1508.117] (II) evdev: Power Button: Configuring as keyboard
[  1508.117] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[  1508.117] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[  1508.117] (**) Option "xkb_rules" "evdev"
[  1508.117] (**) Option "xkb_model" "evdev"
[  1508.117] (**) Option "xkb_layout" "us"
[  1508.149] (II) config/udev: Adding input device Video Bus (/dev/input/event5)
[  1508.149] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[  1508.149] (II) Using input driver 'evdev' for 'Video Bus'
[  1508.149] (**) Video Bus: always reports core events
[  1508.149] (**) evdev: Video Bus: Device: "/dev/input/event5"
[  1508.149] (--) evdev: Video Bus: Vendor 0 Product 0x6
[  1508.149] (--) evdev: Video Bus: Found keys
[  1508.149] (II) evdev: Video Bus: Configuring as keyboard
[  1508.149] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:02/input/input13/event
5"
[  1508.149] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[  1508.149] (**) Option "xkb_rules" "evdev"
[  1508.149] (**) Option "xkb_model" "evdev"
[  1508.149] (**) Option "xkb_layout" "us"
[  1508.150] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[  1508.150] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  1508.150] (II) Using input driver 'evdev' for 'Power Button'
[  1508.150] (**) Power Button: always reports core events
[  1508.150] (**) evdev: Power Button: Device: "/dev/input/event0"
[  1508.150] (--) evdev: Power Button: Vendor 0 Product 0x1
[  1508.150] (--) evdev: Power Button: Found keys
[  1508.150] (II) evdev: Power Button: Configuring as keyboard
[  1508.150] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0"
[  1508.150] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[  1508.150] (**) Option "xkb_rules" "evdev"
[  1508.150] (**) Option "xkb_model" "evdev"
[  1508.150] (**) Option "xkb_layout" "us"
[  1508.150] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[  1508.150] (II) No input driver specified, ignoring this device.
[  1508.150] (II) This device may have been added with another device file.
[  1508.150] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=8 (/dev/input/event10)
[  1508.150] (II) No input driver specified, ignoring this device.
[  1508.150] (II) This device may have been added with another device file.
[  1508.151] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=7 (/dev/input/event11)
[  1508.151] (II) No input driver specified, ignoring this device.
[  1508.151] (II) This device may have been added with another device file.
[  1508.151] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=3 (/dev/input/event12)
[  1508.151] (II) No input driver specified, ignoring this device.
[  1508.151] (II) This device may have been added with another device file.
[  1508.151] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=9 (/dev/input/event9)
[  1508.151] (II) No input driver specified, ignoring this device.
[  1508.151] (II) This device may have been added with another device file.
[  1508.151] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/event7)
[  1508.151] (**) Logitech USB Optical Mouse: Applying InputClass "evdev pointer catchall"
[  1508.151] (II) Using input driver 'evdev' for 'Logitech USB Optical Mouse'
[  1508.151] (**) Logitech USB Optical Mouse: always reports core events
[  1508.151] (**) evdev: Logitech USB Optical Mouse: Device: "/dev/input/event7"
[  1508.151] (--) evdev: Logitech USB Optical Mouse: Vendor 0x46d Product 0xc018
[  1508.151] (--) evdev: Logitech USB Optical Mouse: Found 3 mouse buttons
[  1508.151] (--) evdev: Logitech USB Optical Mouse: Found scroll wheel(s)
[  1508.151] (--) evdev: Logitech USB Optical Mouse: Found relative axes
[  1508.151] (--) evdev: Logitech USB Optical Mouse: Found x and y relative axes
[  1508.151] (II) evdev: Logitech USB Optical Mouse: Configuring as mouse
[  1508.151] (II) evdev: Logitech USB Optical Mouse: Adding scrollwheel support
[  1508.151] (**) evdev: Logitech USB Optical Mouse: YAxisMapping: buttons 4 and 5
[  1508.151] (**) evdev: Logitech USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  1508.151] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/input/input7/event7"
[  1508.151] (II) XINPUT: Adding extended input device "Logitech USB Optical Mouse" (type: MOUSE, id 9)
[  1508.151] (II) evdev: Logitech USB Optical Mouse: initialized for relative axes.
[  1508.151] (**) Logitech USB Optical Mouse: (accel) keeping acceleration scheme 1
[  1508.151] (**) Logitech USB Optical Mouse: (accel) acceleration profile 0
[  1508.151] (**) Logitech USB Optical Mouse: (accel) acceleration factor: 2.000
[  1508.151] (**) Logitech USB Optical Mouse: (accel) acceleration threshold: 4
[  1508.152] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/mouse1)
[  1508.152] (II) No input driver specified, ignoring this device.
[  1508.152] (II) This device may have been added with another device file.
[  1508.152] (II) config/udev: Adding input device USB2.0 UVC WebCam (/dev/input/event8)
[  1508.152] (**) USB2.0 UVC WebCam: Applying InputClass "evdev keyboard catchall"
[  1508.152] (II) Using input driver 'evdev' for 'USB2.0 UVC WebCam'
[  1508.152] (**) USB2.0 UVC WebCam: always reports core events
[  1508.152] (**) evdev: USB2.0 UVC WebCam: Device: "/dev/input/event8"
[  1508.152] (--) evdev: USB2.0 UVC WebCam: Vendor 0x4f2 Product 0xb130
[  1508.152] (--) evdev: USB2.0 UVC WebCam: Found keys
[  1508.152] (II) evdev: USB2.0 UVC WebCam: Configuring as keyboard
[  1508.152] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input8/event8"
[  1508.152] (II) XINPUT: Adding extended input device "USB2.0 UVC WebCam" (type: KEYBOARD, id 10)
[  1508.152] (**) Option "xkb_rules" "evdev"
[  1508.152] (**) Option "xkb_model" "evdev"
[  1508.152] (**) Option "xkb_layout" "us"
[  1508.152] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event3)
[  1508.152] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[  1508.152] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[  1508.152] (**) AT Translated Set 2 keyboard: always reports core events
[  1508.152] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event3"
[  1508.152] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[  1508.153] (--) evdev: AT Translated Set 2 keyboard: Found keys
[  1508.153] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[  1508.153] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input3/event3"
[  1508.153] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 11)
[  1508.153] (**) Option "xkb_rules" "evdev"
[  1508.153] (**) Option "xkb_model" "evdev"
[  1508.153] (**) Option "xkb_layout" "us"
[  1508.153] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event4)
[  1508.153] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[  1508.153] (II) Using input driver 'evdev' for 'SynPS/2 Synaptics TouchPad'
[  1508.153] (**) SynPS/2 Synaptics TouchPad: always reports core events
[  1508.153] (**) evdev: SynPS/2 Synaptics TouchPad: Device: "/dev/input/event4"
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Found 3 mouse buttons
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute axes
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute multitouch axes
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Found x and y absolute axes
[  1508.153] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute touchpad.
[  1508.153] (II) evdev: SynPS/2 Synaptics TouchPad: Configuring as touchpad
[  1508.153] (**) evdev: SynPS/2 Synaptics TouchPad: YAxisMapping: buttons 4 and 5
[  1508.153] (**) evdev: SynPS/2 Synaptics TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  1508.153] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio4/input/input4/event4"
[  1508.153] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[  1508.153] (II) evdev: SynPS/2 Synaptics TouchPad: initialized for absolute axes.
[  1508.153] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[  1508.153] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
[  1508.153] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[  1508.153] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[  1508.153] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[  1508.153] (II) No input driver specified, ignoring this device.
[  1508.153] (II) This device may have been added with another device file.
[  1508.154] (II) config/udev: Adding input device Toshiba input device (/dev/input/event6)
[  1508.154] (**) Toshiba input device: Applying InputClass "evdev keyboard catchall"
[  1508.154] (II) Using input driver 'evdev' for 'Toshiba input device'
[  1508.154] (**) Toshiba input device: always reports core events
[  1508.154] (**) evdev: Toshiba input device: Device: "/dev/input/event6"
[  1508.154] (--) evdev: Toshiba input device: Vendor 0 Product 0
[  1508.154] (--) evdev: Toshiba input device: Found keys
[  1508.154] (II) evdev: Toshiba input device: Configuring as keyboard
[  1508.154] (**) Option "config_info" "udev:/sys/devices/virtual/input/input6/event6"
[  1508.154] (II) XINPUT: Adding extended input device "Toshiba input device" (type: KEYBOARD, id 13)
[  1508.154] (**) Option "xkb_rules" "evdev"
[  1508.154] (**) Option "xkb_model" "evdev"
[  1508.154] (**) Option "xkb_layout" "us"
[  1516.272]
[  1516.272] Backtrace:
[  1516.272] 0: /usr/bin/X (xorg_backtrace+0x36) [0x465106]
[  1516.272] 1: /usr/bin/X (0x400000+0x6a0c9) [0x46a0c9]
[  1516.272] 2: /lib64/libpthread.so.0 (0x7fd6d20ef000+0xf530) [0x7fd6d20fe530]
[  1516.272] 3: /lib64/libc.so.6 (0x7fd6d0d47000+0x14ae04) [0x7fd6d0e91e04]
[  1516.272] 4: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x578e) [0x7fd6ceb3278e]
[  1516.272] 5: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x5b9b) [0x7fd6ceb32b9b]
[  1516.272] 6: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x807a) [0x7fd6ceb3507a]
[  1516.272] 7: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x1001b) [0x7fd6ceb3d01b]
[  1516.272] 8: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0x11898) [0x7fd6ceb3e898]
[  1516.272] 9: /usr/lib64/xorg/modules/libexa.so (0x7fd6ceb2d000+0xaf29) [0x7fd6ceb37f29]
[  1516.273] 10: /usr/bin/X (0x400000+0x160103) [0x560103]
[  1516.273] 11: /usr/bin/X (0x400000+0xc9a50) [0x4c9a50]
[  1516.273] 12: /usr/bin/X (0x400000+0xfa5da) [0x4fa5da]
[  1516.273] 13: /usr/bin/X (0x400000+0x344aa) [0x4344aa]
[  1516.273] 14: /usr/bin/X (0x400000+0x23505) [0x423505]
[  1516.273] 15: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fd6d0d68ba5]
[  1516.273] 16: /usr/bin/X (0x400000+0x237dd) [0x4237dd]
[  1516.273]
[  1516.273] Segmentation fault at address 0x50
[  1516.273]
Fatal server error:
[  1516.273] Caught signal 11 (Segmentation fault). Server aborting
[  1516.273]
[  1516.273]
Please consult the Fedora Project support
         at http://wiki.x.org
 for help.
[  1516.273] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  1516.273]
[  1516.282] (II) evdev: Power Button: Close
[  1516.282] (II) UnloadModule: "evdev"
[  1516.290] (II) evdev: Video Bus: Close
[  1516.290] (II) UnloadModule: "evdev"
[  1516.298] (II) evdev: Power Button: Close
[  1516.298] (II) UnloadModule: "evdev"
[  1516.314] (II) evdev: Logitech USB Optical Mouse: Close
[  1516.314] (II) UnloadModule: "evdev"
[  1516.330] (II) evdev: USB2.0 UVC WebCam: Close
[  1516.330] (II) UnloadModule: "evdev"
[  1516.346] (II) evdev: AT Translated Set 2 keyboard: Close
[  1516.346] (II) UnloadModule: "evdev"
[  1516.362] (II) evdev: SynPS/2 Synaptics TouchPad: Close
[  1516.362] (II) UnloadModule: "evdev"
[  1516.378] (II) evdev: Toshiba input device: Close
[  1516.378] (II) UnloadModule: "evdev"
[  1516.378] (II) AIGLX: Suspending AIGLX clients for VT switch
[  1516.378] (II) NOUVEAU(0): NVLeaveVT is called.
[  1516.412] Server terminated with error (1). Closing log file.
Comment 11 kevin martin 2012-06-13 10:13:58 EDT
a little more of stuff that was on my screen after the timeout:

[1516.943390] [drm] nouveau 0000:01:000:0 Failed to idle channel 2
[1518.940064] [drm] nouveau 0000:01:000:0 PFIFO: channel 2 unload timeout
[1520:952683] [drm] nouveau 0000:01:000:0 PGRAPH TLB Flush idle timeout fail:  0x011fde03 0x00145b4d 0x0000002d 0x0034db40
[1522.951211] [drm] nouveau 0000:01:000:0 PGRAPH TLB Flush idle timeout fail:  0x011fde03 0x00145b4d 0x0000002d 0x0034db40
[1525.945807] [drm] nouveau 0000:01:000:0 Failed to idle channel 3
[1527.942438] [drm] nouveau 0000:01:000:0 PFIFO: channel 3 unload timeout
Comment 12 kevin martin 2012-06-19 09:13:59 EDT
Has any progress been made on this issue?  I just updated the kernel to 3.5.0-0.rc2.git0.3.fc18.x86_64 but can't use it.  I can boot the kernel to runlevel 3 if I remove the nouveau.noaccel=1 from the linux boot line but as soon as I startx the aforementioned behaviour takes place and I get the backtrace.  If I leave nouveau.noaccel=1 then when the nouveau driver attempts to get loaded the system hangs hard and requires me to power down by holding the power button for 5 seconds.  It's extremely frustrating trying to test this stuff and still having these issues.  As much as I dislike nVidia and their policies I may have to try using their driver in the meantime so I can try the 3.5 kernel.
Comment 13 kevin martin 2012-06-19 11:17:09 EDT
Here's the latest.  Updated just a few minutes ago to:

kernel-devel-3.5.0-0.rc3.git0.2.fc18.x86_64
xorg-x11-drv-nouveau-1.0.1-1.fc18.x86_64

booted to new kernel without nouveau.noaccel=1 (so acceleration turned on) and again, while I'm able to boot to runlevel 3, startx fails (I've attached the Xorg.0.log file for this).  /var/log/messages shows:

un 19 09:47:41 ktmtoshiba kernel: [    2.253535] ACPI: Video Device [VGA1] (multi-head: yes  rom: no  post: no)
Jun 19 09:47:41 ktmtoshiba kernel: [    2.253750] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:0
2/input/input5
Jun 19 09:47:41 ktmtoshiba kernel: [    2.255081] wmi: Mapper loaded
Jun 19 09:47:41 ktmtoshiba kernel: [    2.274685] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 19 09:47:41 ktmtoshiba kernel: [    2.274876] nouveau 0000:01:00.0: power state changed by ACPI to D0
Jun 19 09:47:41 ktmtoshiba kernel: [    2.275537] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a3880a2)
Jun 19 09:47:41 ktmtoshiba kernel: [    2.286253] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
Jun 19 09:47:41 ktmtoshiba kernel: [    2.437360] [drm] nouveau 0000:01:00.0: ... appears to be valid
Jun 19 09:47:41 ktmtoshiba kernel: [    2.437539] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
Jun 19 09:47:41 ktmtoshiba kernel: [    2.437723] [drm] nouveau 0000:01:00.0: BIT BIOS found
Jun 19 09:47:41 ktmtoshiba kernel: [    2.437900] [drm] nouveau 0000:01:00.0: Bios version 70.15.43.00
Jun 19 09:47:41 ktmtoshiba kernel: [    2.438077] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Jun 19 09:47:41 ktmtoshiba kernel: [    2.438492] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
Jun 19 09:47:41 ktmtoshiba kernel: [    2.438692] [drm] nouveau 0000:01:00.0: DCB version 4.0
Jun 19 09:47:41 ktmtoshiba kernel: [    2.438869] [drm] nouveau 0000:01:00.0: DCB outp 00: 01000323 00010034
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439045] [drm] nouveau 0000:01:00.0: DCB outp 01: 02014300 00000000
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439219] [drm] nouveau 0000:01:00.0: DCB outp 02: 02021362 00020010
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439395] [drm] nouveau 0000:01:00.0: DCB outp 03: 080333c6 0f220010
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439572] [drm] nouveau 0000:01:00.0: DCB outp 04: 08033382 00020010
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439755] [drm] nouveau 0000:01:00.0: DCB conn 00: 00000340
Jun 19 09:47:41 ktmtoshiba kernel: [    2.439932] [drm] nouveau 0000:01:00.0: DCB conn 01: 00001061
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440104] [drm] nouveau 0000:01:00.0: DCB conn 02: 00000147
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440278] [drm] nouveau 0000:01:00.0: DCB conn 03: 00202346
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440452] [drm] nouveau 0000:01:00.0: DCB conn 04: 00000400
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440634] [drm] nouveau 0000:01:00.0: DCB conn 05: 00000210
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440808] [drm] nouveau 0000:01:00.0: DCB conn 06: 00000211
Jun 19 09:47:41 ktmtoshiba kernel: [    2.440981] [drm] nouveau 0000:01:00.0: DCB conn 07: 00000213
Jun 19 09:47:41 ktmtoshiba kernel: [    2.441155] [drm] nouveau 0000:01:00.0: DCB conn 08: 00020846
Jun 19 09:47:41 ktmtoshiba kernel: [    2.441330] [drm] nouveau 0000:01:00.0: DCB conn 09: 00000900
Jun 19 09:47:41 ktmtoshiba kernel: [    2.441507] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x7AE4
Jun 19 09:47:41 ktmtoshiba kernel: [    2.523303] [drm] nouveau 0000:01:00.0: 0x7E6B: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 19 09:47:41 ktmtoshiba kernel: [    2.543556] [drm] nouveau 0000:01:00.0: 0x7E6F: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 19 09:47:41 ktmtoshiba kernel: [    2.543860] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x809A
Jun 19 09:47:41 ktmtoshiba kernel: [    2.554781] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x951E
Jun 19 09:47:41 ktmtoshiba kernel: [    2.555061] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x955C
Jun 19 09:47:41 ktmtoshiba kernel: [    2.597851] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x97CA
Jun 19 09:47:41 ktmtoshiba kernel: [    2.598120] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x982F
Jun 19 09:47:41 ktmtoshiba kernel: [    2.618369] [drm] nouveau 0000:01:00.0: 0x982F: Condition still not met after 20ms, skipping f
ollowing opcodes
Jun 19 09:47:41 ktmtoshiba kernel: [    2.624037] [TTM] Zone  kernel: Available graphics memory: 1978348 kiB
Jun 19 09:47:41 ktmtoshiba kernel: [    2.624222] [TTM] Initializing pool allocator
Jun 19 09:47:41 ktmtoshiba kernel: [    2.624433] [TTM] Initializing DMA pool allocator
Jun 19 09:47:41 ktmtoshiba kernel: [    2.624627] [drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM (GDDR5)
Jun 19 09:47:41 ktmtoshiba kernel: [    2.626265] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Jun 19 09:47:41 ktmtoshiba kernel: [    2.687350] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun 19 09:47:41 ktmtoshiba kernel: [    2.687530] [drm] No driver support for vblank timestamp query.
Jun 19 09:47:41 ktmtoshiba kernel: [    2.687705] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering ou
r own
Jun 19 09:47:41 ktmtoshiba kernel: [    2.693406] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
Jun 19 09:47:41 ktmtoshiba kernel: [    2.693585] [drm] nouveau 0000:01:00.0: 0: core 135MHz shader 270MHz memory 135MHz voltage 800
mV
Jun 19 09:47:41 ktmtoshiba kernel: [    2.693864] [drm] nouveau 0000:01:00.0: 1: core 405MHz shader 810MHz memory 324MHz voltage 850
mV
Jun 19 09:47:41 ktmtoshiba kernel: [    2.694135] [drm] nouveau 0000:01:00.0: 3: core 576MHz shader 1436MHz memory 1600MHz voltage 1
050mV
Jun 19 09:47:41 ktmtoshiba kernel: [    2.694411] [drm] nouveau 0000:01:00.0: c: core 405MHz shader 810MHz memory 324MHz voltage 850
mV
Jun 19 09:47:41 ktmtoshiba kernel: [    2.734355] [drm] nouveau 0000:01:00.0: MM: using COPY for buffer copies
Jun 19 09:47:41 ktmtoshiba kernel: [    4.230428] [drm] nouveau 0000:01:00.0: allocated 1680x945 fb: 0x320000, bo ffff8801313a4800
Jun 19 09:47:41 ktmtoshiba kernel: [    4.230872] fbcon: nouveaufb (fb0) is primary device
Jun 19 09:47:41 ktmtoshiba kernel: [    4.698640] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon
Jun 19 09:47:41 ktmtoshiba kernel: [    4.705158] Console: switching to colour frame buffer device 210x59
Jun 19 09:47:41 ktmtoshiba kernel: [    4.713663] fb0: nouveaufb frame buffer device
Jun 19 09:47:41 ktmtoshiba kernel: [    4.713664] drm: registered panic notifier
Jun 19 09:47:41 ktmtoshiba kernel: [    4.713772] [drm] Initialized nouveau 1.0.0 20120316 for 0000:01:00.0 on minor 0

Jun 19 09:48:27 ktmtoshiba kernel: [   75.268471] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:30 ktmtoshiba kernel: [   77.930162] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:32 ktmtoshiba kernel: [   79.926926] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:34 ktmtoshiba kernel: [   81.923987] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:36 ktmtoshiba kernel: [   83.920818] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:38 ktmtoshiba kernel: [   85.917605] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:40 ktmtoshiba kernel: [   87.915067] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:42 ktmtoshiba kernel: [   90.024150] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:44 ktmtoshiba kernel: [   92.033856] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:45 ktmtoshiba dbus-daemon[1457]: ** Message: No devices in use, exit
Jun 19 09:48:46 ktmtoshiba kernel: [   94.030528] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:48 ktmtoshiba kernel: [   96.027532] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:50 ktmtoshiba kernel: [   98.024283] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:52 ktmtoshiba kernel: [  100.020887] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:54 ktmtoshiba kernel: [  102.150221] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:48:59 ktmtoshiba kernel: [  107.141612] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:49:05 ktmtoshiba kernel: [  113.122188] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:49:07 ktmtoshiba kernel: [  115.119524] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:49:16 ktmtoshiba kernel: [  124.242126] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
Jun 19 09:49:18 ktmtoshiba kernel: [  126.241048] [drm] nouveau 0000:01:00.0: PFIFO: channel 2 unload timeout
Jun 19 09:49:20 ktmtoshiba kernel: [  128.256597] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:49:22 ktmtoshiba kernel: [  130.255935] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x011fde03 0x00145
b4d 0x0000002d 0x0034db40
Jun 19 09:49:25 ktmtoshiba kernel: [  133.251373] [drm] nouveau 0000:01:00.0: Failed to idle channel 3.
Jun 19 09:49:27 ktmtoshiba kernel: [  135.249220] [drm] nouveau 0000:01:00.0: PFIFO: channel 3 unload timeout


I find it interesting that the version of nouveau that get's loaded does not appear to correspond to the version that I updated to.  I see that there is a nofbaccel parameter that I can set.  I'll try that and let you know.
Comment 14 kevin martin 2012-06-19 11:19:04 EDT
Created attachment 592987 [details]
Xorg.0.log
Comment 15 kevin martin 2012-06-19 11:57:15 EDT
booting the 3.4 kernel with nouveau.nofbaccel=1 get's me to runlevel 3 (hangs the system when I try to do this under kernel 3.5) but startx causes the black-and-white block screen but, in this case, I never get a stack trace of any kind (so it looks like X just hangs).  I'm going to turn on drm.debug=14 and see what else I can tell you.
Comment 16 kevin martin 2012-06-19 12:53:57 EDT
Created attachment 593005 [details]
dmesg from boot of 3.4 kernel with nouveau.noaccel=1 and drm.debug=14, X works
Comment 17 kevin martin 2012-06-19 12:55:13 EDT
Created attachment 593008 [details]
dmesg from boot of 3.4 kernel with acceleration enabled and drm.debug=14, X fails during startx

but something appears to have changed in the 1.0.1 nouveau driver as I no longer get a backtrace.
Comment 18 kevin martin 2012-06-19 12:56:31 EDT
Created attachment 593011 [details]
dmesg from boot of 3.5 kernel with acceleration enabled and drm.debug=14, X fails during startx

again, no backtrace, just a black and white screen...oh, and for what it's worth, if I try to reboot (over ssh), the system never seems to reset and I have to hard power the laptop.
Comment 19 kevin martin 2012-07-09 13:28:41 EDT
Can we at least get the nouveau driver to allow my to run the 3.5 kernel with noaccel?  At least then I should be able to do some testing.  3.5 kernel boots me to runlevel 3 with acceleration on but then X won't start and I get the backtrace!  I'd just as soon be able to turn off acceleration in the nouveau km so I can run X against the 3.5 kernel so I can see how things go.
Comment 20 Fedora End Of Life 2013-04-03 10:06:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 21 Fedora End Of Life 2015-01-09 12:11:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-17 09:17:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.